searchNodes=[{"doc":"","ref":"Iris.html","title":"Iris","type":"module"},{"doc":"","ref":"Iris.Adapters.AppendItems.html","title":"Iris.Adapters.AppendItems","type":"module"},{"doc":"","ref":"Iris.Adapters.AppendItems.html#from_list!/4","title":"Iris.Adapters.AppendItems.from_list!/4","type":"function"},{"doc":"","ref":"Iris.Adapters.AppendItems.html#from_list/4","title":"Iris.Adapters.AppendItems.from_list/4","type":"function"},{"doc":"","ref":"Iris.Adapters.AppendItems.html#is_valid_input/4","title":"Iris.Adapters.AppendItems.is_valid_input/4","type":"macro"},{"doc":"","ref":"Iris.Error.html","title":"Iris.Error","type":"module"},{"doc":"","ref":"Iris.Formatter.html","title":"Iris.Formatter","type":"module"},{"doc":"","ref":"Iris.Formatter.html#extract_data/1","title":"Iris.Formatter.extract_data/1","type":"function"},{"doc":"","ref":"Iris.Formatter.html#format_list/1","title":"Iris.Formatter.format_list/1","type":"function"},{"doc":"","ref":"Iris.Request.html","title":"Iris.Request","type":"module"},{"doc":"","ref":"Iris.Request.html#request/3","title":"Iris.Request.request/3","type":"function"},{"doc":"","ref":"Iris.Response.html","title":"Iris.Response","type":"module"},{"doc":"","ref":"Iris.Response.html#return!/1","title":"Iris.Response.return!/1","type":"function"},{"doc":"","ref":"Iris.Response.html#return/1","title":"Iris.Response.return/1","type":"function"},{"doc":"This module represents a BusinessUnit in Cordage. Attributes: id active name code description social_reason address timezone organization_id responsible_id","ref":"Iris.Rigging.BusinessUnit.html","title":"Iris.Rigging.BusinessUnit","type":"module"},{"doc":"Validates if a list of Business Units from Rigging exist. Expects the token of the user making the request, along with the ID's of the business units they are validating. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Raises a Iris.Error.NotFoundError if no record is matched. Raises a Iris.Error.UnauthorizedError if Rigging sends an &quot;unauthorized&quot; response. Examples iex&gt; BusinessUnit . all! ( &quot;my valid token&quot; , [ &quot;my id&quot; ] ) iex&gt; [ % Iris.Rigging.BusinessUnit { } ] iex&gt; BusinessUnit . all! ( &quot;my valid token&quot; , &quot;[not_existing_id]&quot; ) iex&gt; * * Iris.Error.NotFoundError iex&gt; BusinessUnit . all! ( &quot;my invalid token&quot; , [ &quot;my id&quot; ] ) iex&gt; * * Iris.Error.UnauthorizedError","ref":"Iris.Rigging.BusinessUnit.html#all!/2","title":"Iris.Rigging.BusinessUnit.all!/2","type":"function"},{"doc":"Validates if a list of Business Units from Rigging exist. Expects the token of the user making the request, along with the ID's of the business units they are validating. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Examples iex&gt; BusinessUnit . all ( &quot;my valid token&quot; , [ &quot;my id&quot; ] ) iex&gt; [ % Iris.Rigging.BusinessUnit { } ] iex&gt; BusinessUnit . all ( &quot;my valid token&quot; , &quot;[not_existing_id]&quot; ) iex&gt; :not_found","ref":"Iris.Rigging.BusinessUnit.html#all/2","title":"Iris.Rigging.BusinessUnit.all/2","type":"function"},{"doc":"Gets a Business Unit from Rigging . Expects the token of the user making the request, along with the ID of the business unit they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Raises a Iris.Error.NotFoundError if no record is matched. Raises a Iris.Error.UnauthorizedError if Rigging sends an &quot;unauthorized&quot; response. Examples iex&gt; BusinessUnit . get! ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; % Iris.Rigging.BusinessUnit { } iex&gt; BusinessUnit . get! ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; * * Iris.Error.NotFoundError iex&gt; BusinessUnit . get! ( &quot;my invalid token&quot; , &quot;my id&quot; ) iex&gt; * * Iris.Error.UnauthorizedError","ref":"Iris.Rigging.BusinessUnit.html#get!/2","title":"Iris.Rigging.BusinessUnit.get!/2","type":"function"},{"doc":"Gets a Business Unit from Rigging . Expects the token of the user making the request, along with the ID of the business unit they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Examples iex&gt; BusinessUnit . get ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; { :ok , % Iris.Rigging.BusinessUnit { } } iex&gt; BusinessUnit . get ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; { :error , % Iris.Error.NotFoundError } iex&gt; BusinessUnit . get ( &quot;my invalid token&quot; , &quot;my id&quot; ) iex&gt; { :error , % Iris.Error.UnauthorizedError }","ref":"Iris.Rigging.BusinessUnit.html#get/2","title":"Iris.Rigging.BusinessUnit.get/2","type":"function"},{"doc":"This module represents a GeneralUnit in Cordage. Attributes: id name code description level parent_id organization_id responsible_id","ref":"Iris.Rigging.GeneralUnit.html","title":"Iris.Rigging.GeneralUnit","type":"module"},{"doc":"Validates if a list of General Units from Rigging exist. Expects the token of the user making the request, along with the ID's of the general units they are validating. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Raises a Iris.Error.NotFoundError if no record is matched. Raises a Iris.Error.UnauthorizedError if Rigging sends an &quot;unauthorized&quot; response. Examples iex&gt; GeneralUnit . all! ( &quot;my valid token&quot; , [ &quot;my id&quot; ] ) iex&gt; [ % Iris.Rigging.GeneralUnit { } ] iex&gt; GeneralUnit . all! ( &quot;my valid token&quot; , &quot;[not_existing_id]&quot; ) iex&gt; * * Iris.Error.NotFoundError iex&gt; GeneralUnit . all! ( &quot;my invalid token&quot; , [ &quot;my id&quot; ] ) iex&gt; * * Iris.Error.UnauthorizedError","ref":"Iris.Rigging.GeneralUnit.html#all!/2","title":"Iris.Rigging.GeneralUnit.all!/2","type":"function"},{"doc":"Validates if a list of General Units from Rigging exist. Expects the token of the user making the request, along with the ID's of the general units they are validating. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Examples iex&gt; GeneralUnit . all ( &quot;my valid token&quot; , [ &quot;my id&quot; ] ) iex&gt; [ % Iris.Rigging.GeneralUnit { } ] iex&gt; GeneralUnit . all ( &quot;my valid token&quot; , &quot;[not_existing_id]&quot; ) iex&gt; :not_found","ref":"Iris.Rigging.GeneralUnit.html#all/2","title":"Iris.Rigging.GeneralUnit.all/2","type":"function"},{"doc":"Gets a General Unit from Rigging . Expects the token of the user making the request, along with the ID of the user they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Raises a Iris.Error.NotFoundError if no record is matched. Raises a Iris.Error.UnauthorizedError if Rigging sends an &quot;unauthorized&quot; response. Examples iex&gt; GeneralUnit . get! ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; % Iris.Rigging.GeneralUnit { } iex&gt; GeneralUnit . get! ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; * * Iris.Error.NotFoundError iex&gt; GeneralUnit . get! ( &quot;my invalid token&quot; , &quot;my id&quot; ) iex&gt; * * Iris.Error.UnauthorizedError","ref":"Iris.Rigging.GeneralUnit.html#get!/2","title":"Iris.Rigging.GeneralUnit.get!/2","type":"function"},{"doc":"Gets a General Unit from Rigging . Expects the token of the user making the request, along with the ID of the user they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Examples iex&gt; GeneralUnit . get ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; { :ok , % Iris.Rigging.GeneralUnit { } } iex&gt; GeneralUnit . get ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; { :error , % Iris.Error.NotFoundError } iex&gt; GeneralUnit . get ( &quot;my invalid token&quot; , &quot;my id&quot; ) iex&gt; { :error , % Iris.Error.UnauthorizedError }","ref":"Iris.Rigging.GeneralUnit.html#get/2","title":"Iris.Rigging.GeneralUnit.get/2","type":"function"},{"doc":"This module represents the Organization in Cordage. Attributes: id name display_name auth0_id responsible_id main_business_unit_id","ref":"Iris.Rigging.Organization.html","title":"Iris.Rigging.Organization","type":"module"},{"doc":"","ref":"Iris.Rigging.Organization.html#all!/2","title":"Iris.Rigging.Organization.all!/2","type":"function"},{"doc":"","ref":"Iris.Rigging.Organization.html#all/2","title":"Iris.Rigging.Organization.all/2","type":"function"},{"doc":"Gets the Organization from Rigging . Expects the token of the user making the request, along with the ID of the organization they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Raises a Iris.Error.NotFoundError if no record is matched. Raises a Iris.Error.UnauthorizedError if Rigging sends an &quot;unauthorized&quot; response. Examples iex&gt; Organization . get! ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; % Iris.Rigging.Organization { } iex&gt; Organization . get! ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; * * Iris.Error.NotFoundError iex&gt; Organization . get! ( &quot;my invalid token&quot; , &quot;my id&quot; ) iex&gt; * * Iris.Error.UnauthorizedError","ref":"Iris.Rigging.Organization.html#get!/2","title":"Iris.Rigging.Organization.get!/2","type":"function"},{"doc":"Gets the Organization from Rigging . Expects the token of the user making the request, along with the ID of the organization they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Examples iex&gt; Organization . get ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; { :ok , % Iris.Rigging.Organization { } } iex&gt; Organization . get ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; { :error , % Iris.Error.NotFoundError } iex&gt; Organization . get ( &quot;my invalid token&quot; , &quot;my id&quot; ) iex&gt; { :error , % Iris.Error.UnauthorizedError }","ref":"Iris.Rigging.Organization.html#get/2","title":"Iris.Rigging.Organization.get/2","type":"function"},{"doc":"This module represents a OrganizationalUnit in Cordage. Attributes: id name code description level parent_id organization_id responsible_id","ref":"Iris.Rigging.OrganizationalUnit.html","title":"Iris.Rigging.OrganizationalUnit","type":"module"},{"doc":"Validates if a list of Organizational Units from Rigging exist. Expects the token of the user making the request, along with the ID's of the organizational units they are validating. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Raises a Iris.Error.NotFoundError if no record is matched. Raises a Iris.Error.UnauthorizedError if Rigging sends an &quot;unauthorized&quot; response. Examples iex&gt; OrganizationalUnit . all! ( &quot;my valid token&quot; , [ &quot;my id&quot; ] ) iex&gt; [ % Iris.Rigging.OrganizationalUnit { } ] iex&gt; OrganizationalUnit . all! ( &quot;my valid token&quot; , &quot;[not_existing_id]&quot; ) iex&gt; * * Iris.Error.NotFoundError iex&gt; OrganizationalUnit . all! ( &quot;my invalid token&quot; , [ &quot;my id&quot; ] ) iex&gt; * * Iris.Error.UnauthorizedError","ref":"Iris.Rigging.OrganizationalUnit.html#all!/2","title":"Iris.Rigging.OrganizationalUnit.all!/2","type":"function"},{"doc":"Validates if a list of Organizational Units from Rigging exist. Expects the token of the user making the request, along with the ID's of the organizational units they are validating. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Examples iex&gt; OrganizationalUnit . all ( &quot;my valid token&quot; , [ &quot;my id&quot; ] ) iex&gt; [ % Iris.Rigging.OrganizationalUnit { } ] iex&gt; OrganizationalUnit . all ( &quot;my valid token&quot; , &quot;[not_existing_id]&quot; ) iex&gt; :not_found","ref":"Iris.Rigging.OrganizationalUnit.html#all/2","title":"Iris.Rigging.OrganizationalUnit.all/2","type":"function"},{"doc":"Gets a Organizational Unit from Rigging . Expects the token of the user making the request, along with the ID of the user they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Raises a Iris.Error.NotFoundError if no record is matched. Raises a Iris.Error.UnauthorizedError if Rigging sends an &quot;unauthorized&quot; response. Examples iex&gt; OrganizationalUnit . get! ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; % Iris.Rigging.OrganizationalUnit { } iex&gt; OrganizationalUnit . get! ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; * * Iris.Error.NotFoundError iex&gt; OrganizationalUnit . get! ( &quot;my invalid token&quot; , &quot;my id&quot; ) iex&gt; * * Iris.Error.UnauthorizedError","ref":"Iris.Rigging.OrganizationalUnit.html#get!/2","title":"Iris.Rigging.OrganizationalUnit.get!/2","type":"function"},{"doc":"Gets a Organizational Unit from Rigging . Expects the token of the user making the request, along with the ID of the user they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Examples iex&gt; OrganizationalUnit . get ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; { :ok , % Iris.Rigging.OrganizationalUnit { } } iex&gt; OrganizationalUnit . get ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; { :error , % Iris.Error.NotFoundError } iex&gt; OrganizationalUnit . get ( &quot;my invalid token&quot; , &quot;my id&quot; ) iex&gt; { :error , % Iris.Error.UnauthorizedError }","ref":"Iris.Rigging.OrganizationalUnit.html#get/2","title":"Iris.Rigging.OrganizationalUnit.get/2","type":"function"},{"doc":"This module represents a User in Cordage. Attributes: id first_name middle_name last_name email timezone auth0_id type status language organization_id organizational_unit_id job_title_id","ref":"Iris.Rigging.User.html","title":"Iris.Rigging.User","type":"module"},{"doc":"","ref":"Iris.Rigging.User.html#all!/2","title":"Iris.Rigging.User.all!/2","type":"function"},{"doc":"","ref":"Iris.Rigging.User.html#all/2","title":"Iris.Rigging.User.all/2","type":"function"},{"doc":"Gets a User from Rigging . Expects the token of the user making the request, along with the ID of the user they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization login will be enforce by Rigging . Raises a Iris.Error.NotFoundError if no record is matched. Raises a Iris.Error.UnauthorizedError if Rigging sends an &quot;unauthorized&quot; response. Examples iex&gt; User . get! ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; % Iris.Rigging.User { } iex&gt; User . get! ( &quot;my valid token&quot; , &quot;invalid id&quot; ) ** (Iris.Error.NotFoundError) iex&gt; User . get! ( &quot;my invalid token&quot; , &quot;my id&quot; ) ** (Iris.Error.UnauthorizedError)","ref":"Iris.Rigging.User.html#get!/2","title":"Iris.Rigging.User.get!/2","type":"function"},{"doc":"Gets a User from Rigging . Expects the token of the user making the request, along with the ID of the user they are looking for. Token must not contain the &quot;Bearer&quot; prefix. Also, the authorization logic will be enforce by Rigging . Examples iex&gt; User . get ( &quot;my valid token&quot; , &quot;my id&quot; ) iex&gt; { :ok , % Iris.Rigging.User { } } iex&gt; User . get ( &quot;my valid token&quot; , &quot;invalid id&quot; ) iex&gt; { :error , % Iris.Error.NotFoundError { } }","ref":"Iris.Rigging.User.html#get/2","title":"Iris.Rigging.User.get/2","type":"function"},{"doc":"","ref":"Iris.Error.BadRequestError.html","title":"Iris.Error.BadRequestError","type":"exception"},{"doc":"","ref":"Iris.Error.NotFoundError.html","title":"Iris.Error.NotFoundError","type":"exception"},{"doc":"","ref":"Iris.Error.ServerError.html","title":"Iris.Error.ServerError","type":"exception"},{"doc":"","ref":"Iris.Error.UnauthorizedError.html","title":"Iris.Error.UnauthorizedError","type":"exception"}]